Change log for apturl package in Ubuntu

175 of 77 results
Published in disco-release on 2018-10-31
Deleted in disco-proposed (Reason: moved to release)
apturl (0.5.2ubuntu17) disco; urgency=medium

  * No-change rebuild to build for python3.7 as the default.

 -- Matthias Klose <email address hidden>  Wed, 31 Oct 2018 12:34:10 +0000

Available diffs

Published in bionic-updates on 2018-10-08
Deleted in bionic-proposed (Reason: moved to -updates)
apturl (0.5.2ubuntu14.2) bionic; urgency=medium

  * Also switch from gksu to pkexec, making Synaptic backend really,
    *really* work (LP: #1338482)

 -- Vlad Orlov <email address hidden>  Wed, 26 Sep 2018 17:08:54 +1000

Available diffs

Superseded in disco-release on 2018-10-31
Published in cosmic-release on 2018-09-17
Deleted in cosmic-proposed (Reason: moved to release)
apturl (0.5.2ubuntu16) cosmic; urgency=medium

  * Switch Synaptic backend from gksu to pkexec to fix Synaptic launch
    (LP: #1338482)

 -- Vlad Orlov <email address hidden>  Mon, 27 Aug 2018 14:30:18 +0300

Available diffs

Published in trusty-updates on 2018-10-08
Deleted in trusty-proposed (Reason: moved to -updates)
apturl (0.5.2ubuntu4.1) trusty; urgency=medium

  * Make Synaptic backend actually work (LP: #1338482).

 -- Vlad Orlov <email address hidden>  Sat, 23 Sep 2017 14:52:08 +0300

Available diffs

Superseded in cosmic-release on 2018-09-17
Deleted in cosmic-proposed on 2018-09-18 (Reason: moved to release)
apturl (0.5.2ubuntu15) cosmic; urgency=medium

  * Make Synaptic backend actually work (LP: #1338482).

 -- Vlad Orlov <email address hidden>  Sat, 21 Apr 2018 11:25:24 +0300

Available diffs

Superseded in bionic-proposed on 2018-10-01
apturl (0.5.2ubuntu14.1) bionic; urgency=medium

  * Make Synaptic backend actually work (LP: #1338482).

 -- Vlad Orlov <email address hidden>  Sat, 21 Apr 2018 11:25:24 +0300

Available diffs

Published in xenial-updates on 2018-10-08
Deleted in xenial-proposed (Reason: moved to -updates)
apturl (0.5.2ubuntu11.2) xenial; urgency=medium

  * Make Synaptic backend actually work (LP: #1338482).

 -- Vlad Orlov <email address hidden>  Sat, 23 Sep 2017 13:55:22 +0300

Available diffs

Superseded in cosmic-release on 2018-08-17
Published in bionic-release on 2018-03-17
Deleted in bionic-proposed (Reason: moved to release)
apturl (0.5.2ubuntu14) bionic; urgency=medium

  * Comment out the KDE frontend in debian/control so we can remove pykde4
    from the archive (LP: #1745741).

 -- Simon Quigley <email address hidden>  Fri, 16 Mar 2018 20:35:16 -0500

Available diffs

Superseded in bionic-release on 2018-03-17
Deleted in bionic-proposed (Reason: moved to release)
Published in artful-proposed on 2017-10-26
apturl (0.5.2ubuntu13) artful; urgency=medium

  * AptUrl/parser.py: Strip trailing slashes that are added by xdg-open/gio
    and which make package names invalid. (LP: #1726327)

 -- Iain Lane <email address hidden>  Mon, 23 Oct 2017 14:47:07 +0100

Available diffs

Superseded in xenial-updates on 2018-10-08
Deleted in xenial-proposed on 2018-10-09 (Reason: moved to -updates)
apturl (0.5.2ubuntu11.1) xenial; urgency=medium

  * Fix common crashes (AttributeError in doEnableChannel), due to changes
    in apt_pkg API, etc. (LP: #1566201)

  [ Brian Murray ]
  * Port to proper apt_pkg APIs.

  [ Mathieu Trudel-Lapierre ]
  * Override the start_available and start_error functions from Aptdaemon
    backend correctly to match the passed parameters.
  * Use pkexec rather than gksu to do our external calls to apt-key, install,
    and software-properties, etc; since they need admin privileges.

 -- Mathieu Trudel-Lapierre <email address hidden>  Tue, 24 May 2016 12:00:20 -0400
Superseded in bionic-release on 2017-10-27
Published in artful-release on 2017-04-20
Obsolete in zesty-release on 2018-06-22
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed (Reason: moved to release)
apturl (0.5.2ubuntu12) yakkety; urgency=medium

  * Fix common crashes (AttributeError in doEnableChannel), due to changes
    in apt_pkg API, etc. (LP: #1566201)

  [ Brian Murray ]
  * Port to proper apt_pkg APIs.

  [ Mathieu Trudel-Lapierre ]
  * Override the start_available and start_error functions from Aptdaemon
    backend correctly to match the passed parameters.
  * Use pkexec rather than gksu to do our external calls to apt-key, install,
    and software-properties, etc; since they need admin privileges.

 -- Mathieu Trudel-Lapierre <email address hidden>  Thu, 19 May 2016 22:17:50 -0400
Superseded in yakkety-release on 2016-07-29
Published in xenial-release on 2016-02-17
Deleted in xenial-proposed (Reason: moved to release)
apturl (0.5.2ubuntu11) xenial; urgency=medium

  * Drop webkit1 support, we're switching to pure webkit2 now

 -- Iain Lane <email address hidden>  Wed, 13 Jan 2016 11:48:22 +0000
Superseded in xenial-release on 2016-02-17
Deleted in xenial-proposed on 2016-02-18 (Reason: moved to release)
apturl (0.5.2ubuntu10) xenial; urgency=medium

  * debian/apturl.install:
    - don't install the gconf schemas, it's probably useful to no one
      nowadays (would only work for applications using the GNOME2 libgnome)
      and creates a depends on gconf which we want to drop from the iso

 -- Sebastien Bacher <email address hidden>  Wed, 16 Dec 2015 11:23:10 +0100

Available diffs

Superseded in xenial-release on 2015-12-16
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to release)
apturl (0.5.2ubuntu9) wily; urgency=medium

  * data/apturl-gtk.ui: set the dimension on the scrolledwindow rather
    than the textview so the description is showing with a non zero height

 -- Sebastien Bacher <email address hidden>  Thu, 15 Oct 2015 17:56:46 +0100

Available diffs

Superseded in wily-release on 2015-10-16
Deleted in wily-proposed on 2015-10-17 (Reason: moved to release)
apturl (0.5.2ubuntu8) wily; urgency=medium

  * Use webkit2 in addition to webkit1. (LP: #1469221)

 -- Iain Lane <email address hidden>  Tue, 30 Jun 2015 12:59:59 +0100
Superseded in wily-release on 2015-06-30
Deleted in wily-proposed on 2015-07-01 (Reason: moved to release)
apturl (0.5.2ubuntu7) wily; urgency=medium

  * Don't include Debian version in the python module version (LP: #1465549)

 -- Zygmunt Krynicki <email address hidden>  Fri, 26 Jun 2015 11:01:58 +0200

Available diffs

Superseded in wily-release on 2015-06-26
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed on 2018-01-19 (Reason: moved to release)
apturl (0.5.2ubuntu6) vivid; urgency=medium

  [ Tim Lunn ]
  * Don't use legacy icon names, these are no longer available in
    adwaita-icon-theme. (LP: #1437150)

  [ Iain Lane ]
  * For dialog-question, go back to using the stock icon name as Humanity
    doesn't yet have an icon with the new name.
 -- Tim Lunn <email address hidden>   Thu, 02 Apr 2015 13:53:05 +0100

Available diffs

Superseded in vivid-release on 2015-04-02
Deleted in vivid-proposed on 2015-04-03 (Reason: moved to release)
apturl (0.5.2ubuntu5) vivid; urgency=medium

  * Switch gnome-icon-theme to adwaita-icon-theme, which is its
    successor. (LP: #1414613)
 -- Iain Lane <email address hidden>   Mon, 26 Jan 2015 14:55:39 +0000

Available diffs

Superseded in vivid-release on 2015-01-26
Obsolete in utopic-release on 2016-11-03
Published in trusty-release on 2014-03-16
Deleted in trusty-proposed (Reason: moved to release)
apturl (0.5.2ubuntu4) trusty; urgency=medium

  * Drop libgtk2-perl Recommends to Suggests.
 -- Dimitri John Ledkov <email address hidden>   Sun, 16 Mar 2014 02:56:58 +0000

Available diffs

Superseded in trusty-release on 2014-03-16
Deleted in trusty-proposed on 2014-03-17 (Reason: moved to release)
apturl (0.5.2ubuntu3) trusty; urgency=low

  * AptUrl/AptUrl.py: don't use decode on a str (lp: #1050826)
 -- Sebastien Bacher <email address hidden>   Wed, 11 Dec 2013 11:18:25 +0100

Available diffs

Superseded in trusty-release on 2013-12-11
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed on 2015-04-28 (Reason: moved to release)
apturl (0.5.2ubuntu2) saucy; urgency=low

  * adjust backend to reuse the bits from update-manager (LP: #1200775)
 -- Michael Vogt <email address hidden>   Tue, 08 Oct 2013 20:14:22 +0200

Available diffs

Superseded in saucy-release on 2013-10-09
Obsolete in raring-release on 2015-04-24
Deleted in raring-proposed on 2015-04-27 (Reason: moved to release)
apturl (0.5.2ubuntu1) raring; urgency=low

  * AptUrl/gtk/backend/__init__.py: Drop "action-done" signal definition;
    update-manager's GTK backend already defines it with different arguments,
    so this is ineffective and confusing.
  * AptUrl/gtk/GtkUI.py, _on_backend_done(): Add additional error signal
    arguments, as defined by update-manager's backend.
  * AptUrl/gtk/backend/InstallBackend{Aptdaemon,Synaptic}.py: Call action-done
    signal with error arguments. (LP: #1103024)
  * data/apturl-gtk.ui: Drop obsolete "has_separator" property. Fixes a
    warning.
 -- Martin Pitt <email address hidden>   Tue, 09 Apr 2013 13:23:37 +0200

Available diffs

Superseded in raring-release on 2013-04-09
Obsolete in quantal-release on 2015-04-24
apturl (0.5.1ubuntu6) quantal; urgency=low

  * AptUrl/gtk/backend/InstallBackendAptdaemon.py: Work around
    incompatible Update Manager API change (as described in Launchpad
    bug #1026257).  LP: #1020980
 -- Barry Warsaw <email address hidden>   Wed, 18 Jul 2012 13:38:02 -0400

Available diffs

Superseded in quantal-release on 2012-07-18
apturl (0.5.1ubuntu5) quantal; urgency=low

  * debian/control: Move python3-aptdaemon dependency to apturl binary
    package (from apturl-common) since only the gtk backend needs it.
 -- Barry Warsaw <email address hidden>   Fri, 15 Jun 2012 09:49:13 -0400

Available diffs

Superseded in quantal-release on 2012-06-15
apturl (0.5.1ubuntu4) quantal; urgency=low

  [ Brian Murray ]
  * Port to Python 3:
    - Use Python 3 style print functions
  * AptUrl/Parser.py:
    - ensure MAX_URL_LEN/10 returns an int

  [ Colin Watson ]
  * AptUrl/gtk/backend/InstallBackendSynaptic.py:
    - Keep a reference to the data tuple passed to GObject.child_watch_add
      to avoid attempts to destroy it without a thread context.
    - Open temporary synaptic selections file in text mode.

  [ Barry Warsaw ]
  * Additional Python 3 fixes:
    + Port setup.py to Python 3.
    + Use the new python-apt API since the legacy API is not available in
      Python 3.
    + ki18n() takes bytes.
    + Fix relative imports so the code can be run from source.
    + Fixed some additional packaging paths.
    + Change #! lines to use python3.
    + Changed debian/control and debian/rules to use python3.
    + Change debian/compat == 9
    + apturl now must require python3-aptdaemon.gtk3widgets (i.e. not |
      synaptic) due to the Python 3 port of update-manager.
  * Other changes:
    + Remove the need for threads in the KDE front-end.
    + Enable running the test suite via `python3 -m unittest discover`
    + i18n updates.
    + Various and sundry pyflakes, whitespace, style, line length, and
      spelling fixes.
 -- Brian Murray <email address hidden>   Mon, 11 Jun 2012 10:32:52 -0700

Available diffs

Superseded in quantal-release on 2012-06-14
Published in precise-release on 2012-03-24
apturl (0.5.1ubuntu3) precise; urgency=low

  * Take the unicode representation of the parser error message instead
    of the string representation, so that we get clean i18n handling.
    LP: #911144.
 -- Steve Langasek <email address hidden>   Sat, 24 Mar 2012 02:33:27 -0700

Available diffs

Superseded in precise-release on 2012-03-24
apturl (0.5.1ubuntu2) precise; urgency=low

  * debian/control: Fix dependencies: python-gobject → python-gi.
 -- Martin Pitt <email address hidden>   Tue, 13 Mar 2012 19:45:46 +0100

Available diffs

Obsolete in oneiric-updates on 2015-04-24
Superseded in precise-release on 2012-03-13
Deleted in oneiric-proposed on 2015-04-26 (Reason: moved to -updates)
apturl (0.5.1ubuntu1) oneiric-proposed; urgency=low

  * add support for multiarch package names (LP: #872146)
 -- Michael Vogt <email address hidden>   Thu, 13 Oct 2011 08:59:04 +0200

Available diffs

Superseded in precise-release on 2011-10-19
Obsolete in oneiric-release on 2015-04-24
apturl (0.5ubuntu1) oneiric; urgency=low

  * port to gtk3, update dependencies
 -- Michael Vogt <email address hidden>   Mon, 25 Jul 2011 18:39:00 +0200

Available diffs

Superseded in oneiric-release on 2011-07-25
apturl (0.4.3ubuntu1) oneiric; urgency=low

  * improve exception handling and shorten overly long strings
  * add aptdaemon backend
  * add dependencies to python-aptdaemon-gtk
 -- Michael Vogt <email address hidden>   Fri, 22 Jul 2011 14:06:42 +0200
Obsolete in maverick-updates on 2013-03-05
Obsolete in maverick-security on 2013-03-05
apturl (0.4.1ubuntu7.1) maverick-security; urgency=low

  * SECURITY UPDATE: denial of service via long apt URL (LP: #783594)
    - check URL for length and shorten it for error dialog in
      AptUrl/AptUrl.py, AptUrl/Parser.py, tests/apturlparse.py.
    - Patch thanks to Micheal Vogt
    - CVE number pending
 -- Marc Deslauriers <email address hidden>   Mon, 16 May 2011 13:53:38 -0400
Superseded in oneiric-release on 2011-07-22
Obsolete in natty-updates on 2013-06-04
Obsolete in natty-security on 2013-06-04
apturl (0.4.2ubuntu5.1) natty-security; urgency=low

  * SECURITY UPDATE: denial of service via long apt URL (LP: #783594)
    - check URL for length and shorten it for error dialog in
      AptUrl/AptUrl.py, AptUrl/Parser.py, tests/apturlparse.py.
    - Patch thanks to Micheal Vogt
    - CVE number pending
 -- Marc Deslauriers <email address hidden>   Mon, 16 May 2011 13:46:41 -0400
Obsolete in lucid-updates on 2016-10-26
Obsolete in lucid-security on 2016-10-26
apturl (0.4.1ubuntu4.1) lucid-security; urgency=low

  * SECURITY UPDATE: denial of service via long apt URL (LP: #783594)
    - check URL for length and shorten it for error dialog in
      AptUrl/AptUrl.py, AptUrl/Parser.py, tests/apturlparse.py.
    - Patch thanks to Micheal Vogt
    - CVE number pending
 -- Marc Deslauriers <email address hidden>   Mon, 16 May 2011 13:57:01 -0400
Superseded in oneiric-release on 2011-05-19
Obsolete in natty-release on 2013-06-04
apturl (0.4.2ubuntu5) natty; urgency=low

  * debian/apturl-common.install:
    - fix install file by removing no longer relevant
      usr/share/omf (this fixes a FTBFS)
 -- Michael Vogt <email address hidden>   Wed, 30 Mar 2011 15:40:41 +0200

Available diffs

Superseded in natty-release on 2011-03-31
apturl (0.4.2ubuntu4) natty; urgency=low

  * data/apturl.desktop:
    - Add a desktop file to register mime type.  LP: #698181
 -- Michael Terry <email address hidden>   Thu, 06 Jan 2011 11:48:26 -0500

Available diffs

Superseded in natty-release on 2011-01-13
apturl (0.4.2ubuntu3) natty; urgency=low

  * Don't hardcode python2.6 in the packaging.
  * Build using dh_python2 instead of dh_pycentral.
 -- Matthias Klose <email address hidden>   Fri, 17 Dec 2010 15:35:28 +0100

Available diffs

Superseded in natty-release on 2010-12-17
apturl (0.4.2ubuntu2) natty; urgency=low

  [ Harald Sitter ]
  * Make apturl-kde explicity depend on python-qt4 and python-kde4

  [ Colin Watson ]
  * Make apturl recommend libgtk2-perl (>= 1:1.130) rather than
    libgnome2-perl, matching debconf 1.5.36ubuntu3.
 -- Colin Watson <email address hidden>   Fri, 17 Dec 2010 13:54:53 +0000

Available diffs

Superseded in natty-release on 2010-12-17
apturl (0.4.2ubuntu1) natty; urgency=low

  * Switch from glade to GtkBuilder (LP: #403533)
 -- Michael Terry <email address hidden>   Tue, 05 Oct 2010 11:06:24 -0400

Available diffs

Superseded in natty-release on 2010-11-18
Obsolete in maverick-release on 2013-03-05
apturl (0.4.1ubuntu7) maverick; urgency=low

  * Fix KDE protocol files to enlist in the local protocol class
    + This makes KRunner in KDE SC 4.5 pick up apt:foo as call to apturl again
  * Bump standards version to 3.9.1
  * Switch to dpkg-source 3
  * Switch all packages to arch:any rather than all
 -- Harald Sitter <email address hidden>   Tue, 07 Sep 2010 17:04:52 +0200

Available diffs

Superseded in maverick-release on 2010-09-07
apturl (0.4.1ubuntu6) maverick; urgency=low

  * Port apturl-kde to qapt-batch (LP: #497803)
  * Replace the dependency on install-package with one on qapt-batch
 -- Jonathan Thomas <email address hidden>   Fri, 06 Aug 2010 23:02:03 -0400

Available diffs

Superseded in maverick-release on 2010-08-07
apturl (0.4.1ubuntu5) maverick; urgency=low

  * Fix LP: #576944 - Move the Firefox preferences to /etc/firefox
    - update setup.py
    - add debian/apturl-common.postinst
    - add debian/apturl-common.preinst
  * Don't install apturl.js in /usr/share/firerox - Firefox doesn't see this
    - update debian/apturl-common.install
    - update setup.py
  * Add a couple of extra preferences for Firefox
    - update data/apturl.js
 -- Chris Coulson <email address hidden>   Tue, 27 Jul 2010 13:46:22 +0100

Available diffs

Obsolete in hardy-updates on 2015-04-24
Obsolete in hardy-security on 2015-04-24
apturl (0.2.2ubuntu1.2) hardy-security; urgency=low

  * Update for LP: #600022 - install preference file back in old location
    - update setup.py
    - update debian/preinst
    - update debian/postinst
 -- Chris Coulson <email address hidden>   Wed, 30 Jun 2010 16:17:27 +0100

Available diffs

Obsolete in jaunty-updates on 2013-02-28
Obsolete in jaunty-security on 2013-02-28
apturl (0.3.3ubuntu1.2) jaunty-security; urgency=low

  * Update for Firefox 3.6.x transition
    - see USN-930-1
  * Move Firefox preference file to new location
    - update setup.py
    - add debian/preinst
    - add debian/postinst
 -- Chris Coulson <email address hidden>   Mon, 21 Jun 2010 16:34:47 +0100
Superseded in hardy-updates on 2010-06-30
Superseded in hardy-security on 2010-06-30
apturl (0.2.2ubuntu1.1) hardy-security; urgency=low

  * Update for Firefox 3.6.x transition
    - see USN-930-1
  * Move Firefox preference file to new location
    - update setup.py
    - add debian/preinst
    - add debian/postinst
 -- Chris Coulson <email address hidden>   Thu, 10 Jun 2010 01:20:13 +0100
Superseded in maverick-release on 2010-07-27
Obsolete in lucid-release on 2016-10-26
apturl (0.4.1ubuntu4) lucid; urgency=low

  * Drop python-gtkhtml2 recommends (moved to webkit).
 -- Loic Minier <email address hidden>   Mon, 15 Mar 2010 10:37:10 +0100

Available diffs

Superseded in lucid-release on 2010-03-19
apturl (0.4.1ubuntu3) lucid; urgency=low

  * apturl.8:
    - add example for the "channel" parameter
  * AptUrl/gtk/GtkUI.py:
    - use webkit instead of gtkhtml (ucid-duplicated-packages spec)
  * debian/control:
    - add python-webkit depend on debian/control
 -- Michael Vogt <email address hidden>   Mon, 08 Mar 2010 17:12:10 +0100

Available diffs

Superseded in lucid-release on 2010-03-08
Obsolete in karmic-release on 2013-03-04
apturl (0.4.1ubuntu2) karmic; urgency=low

  * Reupload merged 0.4.0ubuntu5 and 0.4.1ubuntu1, forgot to bzr push -.-

 -- Harald Sitter <email address hidden>   Fri, 18 Sep 2009 22:53:24 +0200

Available diffs

Superseded in karmic-release on 2009-09-18
apturl (0.4.1ubuntu1) karmic; urgency=low

  [ Harald Sitter ]
  * Borrow encoding wrappers from GDebi to fix encodings in KDE UI

  [ Michael Vogt ]
  * AptUrl/gtk/GtkUI.py:
    - Use software-properites to enable componenents
  * debian/control:
    - Remove dependency on gnome-app-install
    - Add software-properties-gtk

 -- Michael Vogt <email address hidden>   Fri, 18 Sep 2009 09:46:29 +0200

Available diffs

Superseded in karmic-release on 2009-09-18
apturl (0.4.0ubuntu5) karmic; urgency=low

  * Borrow encoding wrappers from GDebi to fix encodings in KDE UI (implemented
    via Helpers). These new wrappers utf8, _ and _n are used throughout the
    whole application.
  * Fix minor formatting error in KDE UI's _get_dialog
  * link apturl's manpage to the apturl-gtk and apturl-kde manpages since
    they share the same argument parser anyway
  * Bump standards version to 3.8.3
  * Port package build system to dh 7
    + Build-depend on debhelper 7

 -- Harald Sitter <email address hidden>   Thu, 10 Sep 2009 13:09:27 +0200

Available diffs

Superseded in karmic-release on 2009-09-10
apturl (0.4.0ubuntu4) karmic; urgency=low

  * build without "DH_PYCENTRAL=include-links" for now,
    to work around breakage when upgrading from the previous
    version that was build without the include-links option
    (LP: #422825)

 -- Michael Vogt <email address hidden>   Wed, 02 Sep 2009 17:44:54 +0200

Available diffs

Superseded in karmic-release on 2009-09-02
apturl (0.4.0ubuntu3) karmic; urgency=low

  * Make KDE frontend use a Qt UI file (should make it easier to maintain)
  * Enable KDE frontend to few HTML when about to enable a software channel
  * Clean-up setup.py
  * Make apturl script fall back to KDE frontend when -gtk is not installed even
    if KDE_FULL_SESSION is not set
  * Resolve self-relations of apturl binary package
  * fix crash on ctrl-c (in KDE frontend)

 -- Harald Sitter <email address hidden>   Tue, 01 Sep 2009 21:02:20 +0200

Available diffs

Superseded in karmic-release on 2009-09-01
apturl (0.4.0ubuntu2) karmic; urgency=low

  * fix FTBFS
  * fix crash on ctrl-c

 -- Michael Vogt <email address hidden>   Tue, 01 Sep 2009 19:34:09 +0200

Available diffs

Superseded in karmic-release on 2009-09-01
apturl (0.4.0ubuntu1) karmic; urgency=low

  [ Harald Sitter ]
  * Add KDE frontend (LP: #293533)

  [ Michael Vogt ]
  * build with DH_PYCENTRAL=include-links

 -- Harald Sitter <email address hidden>   Sat, 22 Aug 2009 18:41:35 +0200

Available diffs

Superseded in karmic-release on 2009-09-01
apturl (0.3.6ubuntu1) karmic; urgency=low

  * AptUrl/AptUrl.py, AptUrl/UI.py, AptUrl/gtk/GtkUI.py:
    - show channel info when enabling channels
  * debian/control:
    - recommend python-gthtml2 (for the channel info UI)

 -- Michael Vogt <email address hidden>   Mon, 18 May 2009 16:20:02 +0200

Available diffs

Superseded in jaunty-updates on 2010-07-22
Deleted in jaunty-proposed on 2010-07-23 (Reason: moved to -updates)
apturl (0.3.3ubuntu1.1) jaunty-proposed; urgency=low

  * AptUrl/AptUrl.py:
    - reopen the cache properly after a refresh=yes
      (LP: #369324)
  * debian/control:
    - point to jaunty bzr branch

 -- Michael Vogt <email address hidden>   Wed, 29 Apr 2009 17:30:36 +0200

Available diffs

Superseded in karmic-release on 2009-05-18
apturl (0.3.5ubuntu1) karmic; urgency=low

  * AptUrl/AptUrl.py:
    - when enabling sections, do not skip that if the requested
      package is already known to the package cache
  * AptUrl/Parser.py:
    - support proper url synatax with "&" (thanks to asac)
  * AptUrl/AptUrl.py:
    - reopen the cache properly after a refresh=yes

 -- Michael Vogt <email address hidden>   Thu, 23 Apr 2009 10:18:08 +0200

Available diffs

Superseded in karmic-release on 2009-04-29
Obsolete in jaunty-release on 2013-02-28
apturl (0.3.3ubuntu1) jaunty; urgency=low

  * AptUrl/AptUrl.py:
    - fix crash on "refresh=yes" (LP: #327075)

 -- Michael Vogt <email address hidden>   Tue, 07 Apr 2009 14:35:34 +0200

Available diffs

Superseded in jaunty-release on 2009-04-07
apturl (0.3.2ubuntu2) jaunty; urgency=low

  * AptUrl/gtk/GtkUI.py:
    - fix gettext domain (LP: #304950)
  * data/apturl.glade:
    - fix missing translatable property (LP: #304925)
  Thanks to Gabor Kelemen
  * AptUrl/Helpers.py:
    - fix crash for packages with no long description
      (LP: #288576)

 -- Michael Vogt <email address hidden>   Thu, 08 Jan 2009 20:17:36 +0100

Available diffs

Superseded in jaunty-release on 2009-01-08
apturl (0.3.1ubuntu1) jaunty; urgency=low

  * AptUrl/AptUrl.py:
    - add additional sanitizing into the channel code

 -- Michael Vogt <email address hidden>   Fri, 07 Nov 2008 10:21:59 +0100

Available diffs

Superseded in jaunty-release on 2008-11-07
apturl (0.3.0ubuntu1) jaunty; urgency=low

  * add README
  * add basic string substituion for the variables
    "$kernel" (uname -r) and "$distro" (lsb_release -s)
    this allows stuff like:
    "apt:linux-backports-module-$kernel"
  * add new field "channel" that looks into
    /usr/share/app-install/channels for known repositories that
    the user might want to add
  * refactored the UI code so that its easy to add a Qt
    frontend, see AptUrl/UI.py and AptUrl/gtk/GtkUI.py
    (volunteers welcome :)
  * improved whitelist checking

 -- Michael Vogt <email address hidden>   Thu, 06 Nov 2008 16:04:46 +0100

Available diffs

Superseded in jaunty-release on 2008-11-07
Obsolete in intrepid-release on 2013-02-20
apturl (0.2.7ubuntu1) intrepid; urgency=low

  [ Siegfried-Angel Gevatter Pujals ]
  * apturl:
     - Show a different error message if the requested package is virtual; this
       is the first step to fix Launchpad bug #230760.
     - Show an error dialog if the /etc/apt/sources.list is invalid instead of
       just crashing (LP: #206640).
     - Catch KeyboardInterrupt's so that they don't show a traceback.
     - Add a new exit code (RESULT_BADARGS, 4) for when the problem is with
       the arguments with which apturl was called.
     - Only ask once when enabling new components, and only list those
       which aren't already enabled.
     - Fix a crash which happened after enabling the requested component(s).
     - Don't show an error message if the user didn't want to enable a
       component; just silently skip the package.
     - Improve the description:
        + Don't show the summary twice.
        + Remove single line breaks, like packages.ubuntu.com does.
        + Parse the Homepage field out of the description.
     - Do not ask if you want to keep a software channel if it wasn't added.
     - Use a constant to determine wheter new software channels can be added
       or not (disabled by default, but that's better than having the code
       commented out).
  * AptUrl/Helpers.py:
     - Add it.
  * data/apturl.glade:
     - Add a missing "can_default" property to fix an assertion error.
     - Change the labels of the buttons on the installation confirmation dialog
       so that they conform to the HIG. Thanks to Bruce Cowan (LP: #140472).
     - Make the description field bigger and more visually appealing.
  * AptUrl/Parser.py:
     - Raise an Exception if one of the given package names contains characters
       which are not allowed by the Debian Policy.
     - Raise an Exception if one of the ?... values contains a space.
  * apturl.8:
     - Document all possible exit codes.
     - Add a new example, and improve the comment of an existing one.
     - Change the URL in "Bugs" from /apturl to /ubuntu/+source/apturl, as
       that's where most bugs are.
  * debian/control:
     - Add Vcs-Browser field.
     - Write all dependendency and build dependencies each on a line.
     - Add python-gobject to the build dependencies (needed for the timer).
  * debian/rules:
     - Fix the clean rule so that it removes build/ and AptUrl/Version.py.
     - Move the stuff from binary-arch to binary-indep, and remove the
       binary-indep target to please lintian.
  * debian/copyright:
     - Update copyright years and author names.

  [ Артём Попов ]
  * data/apturl.protocol, setup.py:
     - Register apturl in KDE as a protocol (LP: #227622).

 -- Siegfried-Angel Gevatter Pujals <email address hidden>   Mon, 01 Sep 2008 16:44:35 +0200

Available diffs

Obsolete in hardy-backports on 2015-04-24
apturl (0.2.6ubuntu1~hardy1) hardy-backports; urgency=low

  * Automated backport upload; no source changes.

Superseded in intrepid-release on 2008-09-05
apturl (0.2.6ubuntu1) intrepid; urgency=low

  * apturl:
    - add new ?refresh=1 option that allows forcing a apt-get update
      before the package gets installed (thanks to Vadim Peretokin,
      LP: #258173)

 -- Michael Vogt <email address hidden>   Fri, 15 Aug 2008 17:13:14 +0200

Available diffs

Superseded in intrepid-release on 2008-08-21
apturl (0.2.5ubuntu1) intrepid; urgency=low

  * apturl:
     - Hide python-apt's "API not stable yet" warning.
     - If a package is already installed, show an informational box, not
       an error message (LP: #237012).
     - Give error dialogs the same icon as question dialogs have.
  * apturl.8, debian/rules:
     - Add a manpage (LP: #159422).
  * debian/control:
     - Bump the minimum debhelper version to 5.0.51~, as required for dh_icons.
     - Improve the description.
  * debian/copyright:
     - Include the full GPL header.

 -- Siegfried-Angel Gevatter Pujals (RainCT) <email address hidden>   Sat, 14 Jun 2008 15:37:27 +0200

Available diffs

Superseded in intrepid-release on 2008-08-08
apturl (0.2.4ubuntu1) intrepid; urgency=low

  * make dialog less greedy to not cover up Synaptic (LP: #252028)

 -- Jacob Peddicord <email address hidden>   Fri, 25 Jul 2008 22:23:25 -0400

Available diffs

Superseded in intrepid-release on 2008-07-31
apturl (0.2.3ubuntu1) intrepid; urgency=low

  * set always on top to prevent window from being hidden (LP: #234992)

 -- Jacob Peddicord <email address hidden>   Mon, 26 May 2008 10:45:16 -0400

Available diffs

Superseded in intrepid-release on 2008-06-09
Obsolete in hardy-release on 2015-04-24
apturl (0.2.2ubuntu1) hardy; urgency=low

  * apturl:
    - only add/ask about component enabling if the
      component is actually not yet available (#163049)
    - return correct error code when enabling
      a component failed/got cancelt
    - fix missing destroy in question() helper
    - ensure that component is fully availabe (LP: #208722)

 -- Michael Vogt <email address hidden>   Tue, 15 Apr 2008 15:45:00 +0200
Superseded in hardy-release on 2008-04-15
apturl (0.2.1ubuntu1) hardy; urgency=low

  [ Michael Vogt ]
  * apturl:
    - fix broken enable of components
  * debian/control:
    - add missing python-apt dependency

  [ Fabien Tassin ]
  * setup.py:
    - add support for firefox-3.0 (LP: #207281)

 -- Michael Vogt <email address hidden>   Thu, 10 Apr 2008 16:36:48 +0200
Superseded in hardy-release on 2008-04-10
apturl (0.2.0ubuntu1) hardy; urgency=low

  * apturl:
    - run gtk.init_check() (LP: #197062)
    - make the description better (split into summary/long descr)
    - fix filename creation (LP: #138315)
    - typo (LP: #200504)
    - return proper exit codes on success/cancel/failure (LP: #132276)
    - only run if the apt cache is not broken
  * data/apturl.glade:
    - default button is 'no'
    - make it resizable
  * po/POTFILES.in:
    - add missing files (LP: #173846)
  * date/apturl.schemas.in, setup.py:
    - register apturl in gnome as a protocol

 -- Michael Vogt <email address hidden>   Tue, 11 Mar 2008 10:15:57 +0100
Superseded in hardy-release on 2008-03-11
apturl (0.1.2ubuntu2) hardy; urgency=low

  * Rebuild with recent python-central.
  * Set Ubuntu maintainer address.

 -- Matthias Klose <email address hidden>   Mon, 10 Mar 2008 12:45:37 +0000
Superseded in hardy-release on 2008-03-10
apturl (0.1.2ubuntu1) hardy; urgency=low

  * support --http-proxy for better integration with the
    proxy settings of firefox (LP: #162609)
  * merged patch from Andy Owen to display a description

 -- Michael Vogt <email address hidden>   Wed, 16 Jan 2008 14:51:24 +0100
Obsolete in gutsy-updates on 2011-09-16
Deleted in gutsy-proposed on 2011-09-19 (Reason: moved to -updates)
apturl (0.1ubuntu2) gutsy-proposed; urgency=low

  * support --http-proxy for better integration with the
    proxy settings of firefox (LP: #162609)

 -- Michael Vogt <email address hidden>   Wed, 14 Nov 2007 16:44:14 +0100
Superseded in hardy-release on 2008-01-16
apturl (0.1.1ubuntu1) hardy; urgency=low

  * AptUrl/Parser.py:
    - Implemented multipackage installation (LP: #154593)
  * tests/apturlparse.py:
    - add test for the new multipackage feature

 -- Sasa Bodiroza <email address hidden>   Sat, 27 Oct 2007 13:42:45 +0200
Superseded in hardy-release on 2007-11-02
Obsolete in gutsy-release on 2011-09-16
apturl (0.1ubuntu1) gutsy; urgency=low

  * debian/control:
    - fix typo in description (LP: #131828)
    - add missing synaptic dependency (LP: #132067)
  * apturl:
    - check for already installed or unavailable packages
      earlier (LP: #137053, LP: #137055)
    - fix incorrect reference to GDebi (LP: #137065)
    - disable adding repositories for now (LP: #139227)

 -- Michael Vogt <email address hidden>   Fri, 05 Oct 2007 16:28:24 +0200
Superseded in gutsy-release on 2007-10-05
Superseded in gutsy-release on 2007-08-22
apturl (0.0+bzr20070816) gutsy; urgency=low

  * added i18n support
  * added support for "minver"
  * added support to add repositories and sections
  * added suppor for removing sources again

 -- Michael Vogt <email address hidden>   Thu, 16 Aug 2007 18:03:48 +0200
175 of 77 results